MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007694ardourbugspublic2018-11-30 08:002018-12-06 11:29
Reporterhcw70 
Assigned Tohcw70 
PriorityhighSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Product Version5.12 
Target VersionFixed in Version 
Summary0007694: Ardour crashes at startup
DescriptionWhen starting ardour 5.12 while jackd is already running i get frequent crashes with different error messages.

Example:
```
hcw@nvidion:~/git/ardour$ gtk2_ardour/ardev_gdb
GNU gdb (Ubuntu 8.1-0ubuntu3) 8.1.0.20180409-git
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from gtk2_ardour/../build/gtk2_ardour/ardour-5.12.0...done.
(gdb) r
Starting program: /home/hcw/git/ardour/build/gtk2_ardour/ardour-5.12.0
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /usr/local/ardour/share/ardour5/locale
Ardour5.12.0 (built using 5.12 and GCC version 7.3.0)
ardour: [INFO]: Your system is configured to limit Ardour to only 1048576 open files
ardour: [INFO]: Loading system configuration file /home/hcw/git/ardour/system_config
ardour: [INFO]: Loading user configuration file /home/hcw/.config/ardour5/config
[New Thread 0x7fffdf380700 (LWP 13502)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffdeb7f700 (LWP 13505)]
[New Thread 0x7fffde37e700 (LWP 13506)]
[New Thread 0x7fffddb7d700 (LWP 13507)]
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport16.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport2.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
[New Thread 0x7fffce550700 (LWP 13723)]
[New Thread 0x7fffcdd4f700 (LWP 13724)]
ardour: [INFO]: Loading default ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/hcw/.config/ardour5/ui_config
[New Thread 0x7fffc5f0c700 (LWP 13734)]
[New Thread 0x7fffc570b700 (LWP 13735)]
[New Thread 0x7fffc4f0a700 (LWP 13737)]
[New Thread 0x7fffb3dc2700 (LWP 13742)]
[New Thread 0x7fffabfff700 (LWP 13743)]
Color shuttle bg not found
ardour: [INFO]: Loading color file /home/hcw/git/ardour/gtk2_ardour/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
[New Thread 0x7fffb31eb700 (LWP 13746)]
[Thread 0x7fffb31eb700 (LWP 13746) exited]
[New Thread 0x7fffb31eb700 (LWP 13749)]
[Thread 0x7fffb31eb700 (LWP 13749) exited]
[New Thread 0x7fffb31eb700 (LWP 13772)]
[New Thread 0x7fffb18cd700 (LWP 13774)]
[New Thread 0x7fffb10cc700 (LWP 13775)]
[New Thread 0x7fffb08cb700 (LWP 13776)]
[New Thread 0x7fffab7fe700 (LWP 13777)]
[New Thread 0x7fffaaffd700 (LWP 13778)]
Found nothing along /home/hcw/.config/ardour5/templates:gtk2_ardour/../templates:gtk2_ardour/../build/templates:gtk2_ardour/../gtk2_ardour/templates:gtk2_ardour/../build/gtk2_ardour/templates:./templates
run dialog
[New Thread 0x7fffaa7fc700 (LWP 13795)]
[Thread 0x7fffaa7fc700 (LWP 13795) exited]
[Thread 0x7fffab7fe700 (LWP 13777) exited]
[Thread 0x7fffb10cc700 (LWP 13775) exited]
[Thread 0x7fffaaffd700 (LWP 13778) exited]
[Thread 0x7fffb18cd700 (LWP 13774) exited]
[Thread 0x7fffb31eb700 (LWP 13772) exited]
[Thread 0x7fffabfff700 (LWP 13743) exited]
[Thread 0x7fffb3dc2700 (LWP 13742) exited]
[New Thread 0x7fffaaffd700 (LWP 13809)]
[New Thread 0x7fffb1497700 (LWP 13844)]
protocol Ableton Push 2 active ? 0
protocol Steinberg CC121 not found
protocol Wiimote active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Open Sound Control (OSC) active ? 0
no more csLADSPA plugins
no more csLADSPA plugins
lo server running on 18493
[New Thread 0x7fffb3dc2700 (LWP 14123)]
[New Thread 0x7fffabfff700 (LWP 14124)]

Thread 1 "ardour-5.12.0" received signal SIGSEGV, Segmentation fault.
tcache_get (tc_idx=5) at malloc.c:2943
2943 malloc.c: Datei oder Verzeichnis nicht gefunden.


Stacktrace:

(gdb) bt
#0 0x00007fffeeec1207 in tcache_get (tc_idx=5) at malloc.c:2943
#1 0x00007fffeeec1207 in __GI___libc_malloc (bytes=103) at malloc.c:3050
#2 0x00007fffef8641a8 in operator new(unsigned long) () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#3 0x00007fffef8f5cfb in std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_mutate(unsigned long, unsigned long, char const*, unsigned long) () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4 0x00007fffef8f7263 in std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_append(char const*, unsigned long) ()
    at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5 0x00007fffa868f386 in zyn::Bank::addtobank(int, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#6 0x00007fffa8690d61 in zyn::Bank::loadbank(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) ()
    at /usr/lib/dssi/libzynaddsubfx_dssi.so
#7 0x00007fffa868d921 in DSSIaudiooutput::mapNextBank() () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#8 0x00007fffa868dca8 in DSSIaudiooutput::getProgram(unsigned long) () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#9 0x00007fffab3d270d in () at /usr/lib/lv2/naspro-dssi.lv2/dssi.so
#10 0x00007fffab3d213f in () at /usr/lib/lv2/naspro-dssi.lv2/dssi.so
#11 0x00007fffab1cd5a5 in nabrit_util_load_all_in_dir () at /usr/lib/x86_64-linux-gnu/libnabrit.so.3
#12 0x00007fffab3d207a in () at /usr/lib/lv2/naspro-dssi.lv2/dssi.so
#13 0x00007fffefb692b5 in lilv_world_load_bundle () at /usr/lib/liblilv-0.so.0
#14 0x00007fffefb695bf in () at /usr/lib/liblilv-0.so.0
#15 0x00007fffefb66d66 in () at /usr/lib/liblilv-0.so.0
#16 0x00007fffefb6739b in () at /usr/lib/liblilv-0.so.0
#17 0x00007fffefb68827 in lilv_world_load_all () at /usr/lib/liblilv-0.so.0
#18 0x00007ffff6f4c25a in LV2World::load_bundled_plugins(bool) (this=0x7fffffff8a10, verbose=false) at ../libs/ardour/lv2_plugin.cc:3332
#19 0x00007ffff6f4ccdc in ARDOUR::LV2PluginInfo::discover[abi:cxx11]() () at ../libs/ardour/lv2_plugin.cc:3441
#20 0x00007ffff6cee5e1 in ARDOUR::PluginManager::lv2_refresh() (this=0x555557020e40) at ../libs/ardour/plugin_manager.cc:795
#21 0x00007ffff6ceacce in ARDOUR::PluginManager::refresh(bool) (this=0x555557020e40, cache_only=true) at ../libs/ardour/plugin_manager.cc:273
#22 0x00007ffff696000d in ARDOUR::init_post_engine() () at ../libs/ardour/globals.cc:590
#23 0x0000555555b27c9d in ARDOUR_UI::post_engine() (this=0x5555571f0250) at ../gtk2_ardour/ardour_ui.cc:668
#24 0x0000555555b2779c in ARDOUR_UI::engine_running() (this=0x5555571f0250) at ../gtk2_ardour/ardour_ui.cc:594
#25 0x0000555555b8ee77 in boost::_mfi::mf0<void, ARDOUR_UI>::operator()(ARDOUR_UI*) const (this=0x5555576e01c8, p=0x5555571f0250)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
#26 0x0000555555b84983 in boost::_bi::list1<boost::_bi::value<ARDOUR_UI*> >::operator()<boost::_mfi::mf0<void, ARDOUR_UI>, boost::_bi::list0>(boost::_bi::type<void>, boost::_mfi::mf0<void, ARDOUR_UI>&, boost::_bi::list0&, int) (this=0x5555576e01d8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#27 0x0000555555b789bc in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR_UI>, boost::_bi::list1<boost::_bi::value<ARDOUR_UI*> > >::operator()() (this=0x5555576e01c8) at /usr/include/boost/bind/bind.hpp:1294
#28 0x0000555555b6ef62 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR_UI>, boost::_bi::list1<boost::_bi::value<ARDOUR_UI*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
---Type <return> to continue, or q <return> to quit---
#29 0x0000555555b1d133 in boost::function0<void>::operator()() const (this=0x5555576e01c0) at /usr/include/boost/function/function_template.hpp:759
#30 0x0000555555b8361a in boost::_bi::list0::operator()<boost::function<void ()>, boost::_bi::list0>(boost::_bi::type<void>, boost::function<void ()>&, boost::_bi::list0&, int) (this=0x5555576e01e0, f=...) at /usr/include/boost/bind/bind.hpp:198
#31 0x0000555555b773a6 in boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void ()>, boost::_bi::list0>::operator()() (this=0x5555576e01c0)
    at /usr/include/boost/bind/bind.hpp:1294
#32 0x0000555555b6c92b in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void ()>, boost::_bi::list0>, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#33 0x0000555555b1d133 in boost::function0<void>::operator()() const (this=0x7fffffff95c0) at /usr/include/boost/function/function_template.hpp:759
#34 0x00007ffff47b1739 in AbstractUI<Gtkmm2ext::UIRequest>::call_slot(PBD::EventLoop::InvalidationRecord*, boost::function<void ()> const&) (this=0x5555571f0250, invalidation=0x0, f=...) at /home/hcw/git/ardour/libs/pbd/pbd/abstract_ui.cc:429
#35 0x0000555555b48d29 in PBD::Signal0<void, PBD::OptionalLastValue<void> >::compositor(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*) (f=..., event_loop=0x5555571f0250, ir=0x0) at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:219
#36 0x0000555555b838e1 in boost::_bi::list3<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*> >::operator()<void (*)(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*), boost::_bi::list0>(boost::_bi::type<void>, void (*&)(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*), boost::_bi::list0&, int) (this=0x5555576dc068, f=
    @0x5555576dc060: 0x555555b48c8d <PBD::Signal0<void, PBD::OptionalLastValue<void> >::compositor(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*)>, a=...) at /usr/include/boost/bind/bind.hpp:398
#37 0x0000555555b7756c in boost::_bi::bind_t<void, void (*)(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*), boost::_bi::list3<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*> > >::operator()() (this=
    0x5555576dc060) at /usr/include/boost/bind/bind.hpp:1294
#38 0x0000555555b6cb1b in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, void (*)(boost::function<void ()>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*), boost::_bi::list3<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#39 0x0000555555b1d133 in boost::function0<void>::operator()() const (this=0x5555576db720) at /usr/include/boost/function/function_template.hpp:759
#40 0x0000555555b1cc72 in PBD::Signal0<void, PBD::OptionalLastValue<void> >::operator()() (this=0x5555571c38a0)
    at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:328
#41 0x00007ffff67f9e0c in ARDOUR::AudioEngine::start(bool) (this=0x5555571c3440, for_latency=false) at ../libs/ardour/audioengine.cc:900
#42 0x00007ffff6db3cd5 in ARDOUR::Session::ensure_engine(unsigned int, bool) (this=0x5555576d2470, desired_sample_rate=48000, isnew=false)
    at ../libs/ardour/session.cc:575
#43 0x00007ffff6db17f4 in ARDOUR::Session::Session(ARDOUR::AudioEngine&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, ARDOUR::BusProfile*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x5555576d2470,
    eng=..., fullpath="/home/hcw/Audio/Softwerkbank-48k-01", snapshot_name="Softwerkbank-48k-01", bus_profile=0x0, mix_template="")
    at ../libs/ardour/session.cc:415
#44 0x0000555555b3824b in ARDOUR_UI::load_session(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x5555571f0250, path="/home/hcw/Audio/Softwerkbank-48k-01", snap_name="Softwerkbank-48k-01", mix_template="") at ../gtk2_ardour/ardour_ui.cc:3641
---Type <return> to continue, or q <return> to quit---
#45 0x0000555555b37ac4 in ARDOUR_UI::get_session_parameters(bool, bool, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x5555571f0250, quit_on_cancel=false, should_be_new=false, load_template="") at ../gtk2_ardour/ardour_ui.cc:3560
#46 0x0000555555b2bc28 in ARDOUR_UI::starting() (this=0x5555571f0250) at ../gtk2_ardour/ardour_ui.cc:1273
#47 0x00007ffff47ad9f3 in Gtkmm2ext::UI::run(Receiver&) (this=0x5555571f0250, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:279
#48 0x00005555560bdacf in main(int, char**) (argc=1, argv=0x7fffffffcf48) at ../gtk2_ardour/main.cc:426
(gdb)


```
TagsNo tags attached.
Attached Filespdf file icon 512.pdf [^] (21,186 bytes) 2018-12-03 04:31

- Relationships

-  Notes
(0020496)
hcw70 (reporter)
2018-11-30 08:02

Happens after startup when selecting an exisiting jack project with 48khz.
(0020497)
hcw70 (reporter)
2018-11-30 08:03

Second try i get:

hcw@nvidion:~/git/ardour$ gtk2_ardour/ardev_gdb
GNU gdb (Ubuntu 8.1-0ubuntu3) 8.1.0.20180409-git
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from gtk2_ardour/../build/gtk2_ardour/ardour-5.12.0...done.
(gdb) r
Starting program: /home/hcw/git/ardour/build/gtk2_ardour/ardour-5.12.0
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /usr/local/ardour/share/ardour5/locale
Ardour5.12.0 (built using 5.12 and GCC version 7.3.0)
ardour: [INFO]: Your system is configured to limit Ardour to only 1048576 open files
ardour: [INFO]: Loading system configuration file /home/hcw/git/ardour/system_config
ardour: [INFO]: Loading user configuration file /home/hcw/.config/ardour5/config
[New Thread 0x7fffdf380700 (LWP 3693)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffdeb7f700 (LWP 3695)]
[New Thread 0x7fffde37e700 (LWP 3696)]
[New Thread 0x7fffddb7d700 (LWP 3697)]
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport16.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport2.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
[New Thread 0x7fffce550700 (LWP 3805)]
[New Thread 0x7fffcdd4f700 (LWP 3806)]
ardour: [INFO]: Loading default ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/hcw/.config/ardour5/ui_config
[New Thread 0x7fffc5f0c700 (LWP 3813)]
[New Thread 0x7fffc570b700 (LWP 3814)]
[New Thread 0x7fffc4f0a700 (LWP 3815)]
[New Thread 0x7fffb3dc2700 (LWP 3818)]
[New Thread 0x7fffb35c1700 (LWP 3819)]
Color shuttle bg not found
ardour: [INFO]: Loading color file /home/hcw/git/ardour/gtk2_ardour/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
[New Thread 0x7fffb29ea700 (LWP 3821)]
[Thread 0x7fffb29ea700 (LWP 3821) exited]
[New Thread 0x7fffb29ea700 (LWP 3824)]
[Thread 0x7fffb29ea700 (LWP 3824) exited]
[New Thread 0x7fffb29ea700 (LWP 3828)]
[New Thread 0x7fffb10cc700 (LWP 3831)]
[New Thread 0x7fffb08cb700 (LWP 3832)]
[New Thread 0x7fff9bfff700 (LWP 3833)]
[New Thread 0x7fff9b7fe700 (LWP 3834)]
[New Thread 0x7fff9affd700 (LWP 3835)]
Found nothing along /home/hcw/.config/ardour5/templates:gtk2_ardour/../templates:gtk2_ardour/../build/templates:gtk2_ardour/../gtk2_ardour/templates:gtk2_ardour/../build/gtk2_ardour/templates:./templates
run dialog
[New Thread 0x7fff9a7fc700 (LWP 3856)]
[Thread 0x7fff9b7fe700 (LWP 3834) exited]
[Thread 0x7fff9a7fc700 (LWP 3856) exited]
[Thread 0x7fff9affd700 (LWP 3835) exited]
[Thread 0x7fff9bfff700 (LWP 3833) exited]
[Thread 0x7fffb08cb700 (LWP 3832) exited]
[Thread 0x7fffb10cc700 (LWP 3831) exited]
[Thread 0x7fffb35c1700 (LWP 3819) exited]
[Thread 0x7fffb3dc2700 (LWP 3818) exited]
[New Thread 0x7fffb3dc2700 (LWP 3862)]
[New Thread 0x7fffb0c96700 (LWP 3863)]
protocol Ableton Push 2 active ? 0
protocol Steinberg CC121 not found
protocol Wiimote active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Open Sound Control (OSC) active ? 0
no more csLADSPA plugins
no more csLADSPA plugins
lo server running on 14631
[New Thread 0x7fffb35c1700 (LWP 4021)]
malloc_consolidate(): invalid chunk size

Thread 24 "ardour-5.12.0" received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffb35c1700 (LWP 4021)]
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51 ../sysdeps/unix/sysv/linux/raise.c: Datei oder Verzeichnis nicht gefunden.
(gdb)


with the backtrace:

gdb) bt
#0 0x00007fffeee68e97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1 0x00007fffeee6a801 in __GI_abort () at abort.c:79
#2 0x00007fffeeeb3897 in __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7fffeefe0b9a "%s\n") at ../sysdeps/posix/libc_fatal.c:181
#3 0x00007fffeeeba90a in malloc_printerr (str=str@entry=0x7fffeefe23f0 "malloc_consolidate(): invalid chunk size") at malloc.c:5350
#4 0x00007fffeeebabae in malloc_consolidate (av=av@entry=0x7fff84000020) at malloc.c:4441
#5 0x00007fffeeec203b in _int_free (have_lock=0, p=<optimized out>, av=0x7fff84000020) at malloc.c:4362
#6 0x00007fffeeec203b in __GI___libc_free (mem=0x7fff8400e2a0) at malloc.c:3124
#7 0x00007fffeef09bbd in __closedir (dirp=<optimized out>) at ../sysdeps/posix/closedir.c:50
#8 0x00007fff9870101a in zyn::Bank::loadbank(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) ()
    at /usr/lib/dssi/libzynaddsubfx_dssi.so
#9 0x00007fff9874875c in () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#10 0x00007fff987ea5aa in rtosc::Ports::dispatch(char const*, rtosc::RtData&, bool) const () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#11 0x00007fff9874ae19 in zyn::MiddleWareImpl::bToUhandle(char const*) () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#12 0x00007fff9874b17f in zyn::MiddleWare::tick() () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#13 0x00007fff986fc8bd in () at /usr/lib/dssi/libzynaddsubfx_dssi.so
#14 0x00007fffef88e57f in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#15 0x00007ffff06766db in start_thread (arg=0x7fffb35c1700) at pthread_create.c:463
#16 0x00007fffeef4b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
(0020498)
x42 (administrator)
2018-11-30 08:24

The problem is with due to naspro-dssi.lv2 wrapping zynaddsubfx_dssi
There's nothing we can do on our side.

I suggest to remove the DSSI wrapper and use the LV2 version of zynaddsubfx.
(0020499)
x42 (administrator)
2018-11-30 08:27

PS. `sudo dpkg -P naspro-bridges` should help.

It's not clear if the issue at hand is due to the DSSI <> LV2 bridge or because of zynaddsubfx/DSSI.
(0020501)
hcw70 (reporter)
2018-12-03 01:17

Did as suggested by removing naspro-bridges and zynaddsubfx-dssi package. But still crashes:


hcw@nvidion:~/git/ardour$ gtk2_ardour/ardev_gdb
GNU gdb (Ubuntu 8.1-0ubuntu3) 8.1.0.20180409-git
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from gtk2_ardour/../build/gtk2_ardour/ardour-5.12.0...done.
(gdb) r
Starting program: /home/hcw/git/ardour/build/gtk2_ardour/ardour-5.12.0
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
bind txt domain [gtk2_ardour5] to /usr/local/ardour/share/ardour5/locale
Ardour5.12.0 (built using 5.12 and GCC version 7.3.0)
ardour: [INFO]: Your system is configured to limit Ardour to only 1048576 open files
ardour: [INFO]: Loading system configuration file /home/hcw/git/ardour/system_config
ardour: [INFO]: Loading user configuration file /home/hcw/.config/ardour5/config
[New Thread 0x7fffdf380700 (LWP 4372)]
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz
ardour: [INFO]: Using SSE optimized routines
[New Thread 0x7fffdeb7f700 (LWP 4373)]
[New Thread 0x7fffde37e700 (LWP 4386)]
[New Thread 0x7fffddb7d700 (LWP 4387)]
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport16.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
ardour: [ERROR]: ControlProtocolManager: cannot load module "/home/hcw/git/ardour/build/libs/surfaces/faderport8/libardour_faderport2.so" (libtemporal.so.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)
[New Thread 0x7fffce550700 (LWP 4441)]
[New Thread 0x7fffcdd4f700 (LWP 4442)]
ardour: [INFO]: Loading default ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/hcw/.config/ardour5/ui_config
[New Thread 0x7fffc5f0c700 (LWP 4449)]
[New Thread 0x7fffc570b700 (LWP 4450)]
[New Thread 0x7fffc4f0a700 (LWP 4451)]
[New Thread 0x7fffb3dc2700 (LWP 4454)]
[New Thread 0x7fffabfff700 (LWP 4455)]
Color shuttle bg not found
ardour: [INFO]: Loading color file /home/hcw/git/ardour/gtk2_ardour/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /home/hcw/git/ardour/build/gtk2_ardour/clearlooks.rc
[New Thread 0x7fffb31eb700 (LWP 4457)]
[Thread 0x7fffb31eb700 (LWP 4457) exited]
[New Thread 0x7fffb31eb700 (LWP 4460)]
[Thread 0x7fffb31eb700 (LWP 4460) exited]
[New Thread 0x7fffb31eb700 (LWP 4461)]
[New Thread 0x7fffb18cd700 (LWP 4462)]
[New Thread 0x7fffb10cc700 (LWP 4463)]
[New Thread 0x7fffb08cb700 (LWP 4464)]
[New Thread 0x7fffab7fe700 (LWP 4465)]
[New Thread 0x7fffaaffd700 (LWP 4466)]
Found nothing along /home/hcw/.config/ardour5/templates:gtk2_ardour/../templates:gtk2_ardour/../build/templates:gtk2_ardour/../gtk2_ardour/templates:gtk2_ardour/../build/gtk2_ardour/templates:./templates
run dialog
[Thread 0x7fffab7fe700 (LWP 4465) exited]
[Thread 0x7fffb10cc700 (LWP 4463) exited]
[Thread 0x7fffb18cd700 (LWP 4462) exited]
[Thread 0x7fffabfff700 (LWP 4455) exited]
[Thread 0x7fffb08cb700 (LWP 4464) exited]
[Thread 0x7fffb3dc2700 (LWP 4454) exited]
[Thread 0x7fffaaffd700 (LWP 4466) exited]
[New Thread 0x7fffaaffd700 (LWP 4560)]
[New Thread 0x7fffb1497700 (LWP 4561)]
protocol Ableton Push 2 active ? 0
protocol Steinberg CC121 not found
protocol Wiimote active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Open Sound Control (OSC) active ? 0
no more csLADSPA plugins
no more csLADSPA plugins
Scanning folders for bundled LV2s: gtk2_ardour/../build/libs/LV2
[New Thread 0x7fffb08cb700 (LWP 4661)]
[New Thread 0x7fffb3dc2700 (LWP 4662)]
[New Thread 0x7fffabfff700 (LWP 4663)]
[New Thread 0x7fffa9d85700 (LWP 4664)]
[New Thread 0x7fffa9584700 (LWP 4666)]
[Thread 0x7fffa9584700 (LWP 4666) exited]
[New Thread 0x7fffa9584700 (LWP 4668)]
[Thread 0x7fffa9584700 (LWP 4668) exited]
[Thread 0x7fffabfff700 (LWP 4663) exited]
[Thread 0x7fffb08cb700 (LWP 4661) exited]
[Thread 0x7fffa9d85700 (LWP 4664) exited]
[Thread 0x7fffb31eb700 (LWP 4461) exited]
Set cursor set to default
[New Thread 0x7fffa9584700 (LWP 4670)]
[New Thread 0x7fffb31eb700 (LWP 4671)]
[New Thread 0x7fffb0fb1700 (LWP 4672)]
[New Thread 0x7fffb0f30700 (LWP 4673)]
[New Thread 0x7fffb0eaf700 (LWP 4674)]
[New Thread 0x7fffb00ca700 (LWP 4675)]
[New Thread 0x7fffabfff700 (LWP 4676)]
[New Thread 0x7fffabf7e700 (LWP 4677)]
[New Thread 0x7fffabefd700 (LWP 4678)]
Set buffering params to 262144|131072|10|10
[New Thread 0x7fffabd7f800 (LWP 4679)]
[New Thread 0x7fffa9d85700 (LWP 4680)]
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort8 active ? 0
protocol PreSonus FaderPort active ? 0
protocol Generic MIDI active ? 0
protocol Mackie active ? 0
protocol Wiimote active ? 0
protocol Ableton Push 2 active ? 0
Set buffering params to 262144|131072|10|10
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
[Thread 0x7fffb31eb700 (LWP 4671) exited]
[Thread 0x7fffb3dc2700 (LWP 4662) exited]
[New Thread 0x7fffb31eb700 (LWP 4684)]
[New Thread 0x7fffb3dc2700 (LWP 4685)]
[New Thread 0x7fffb08cb700 (LWP 4686)]
terminate called after throwing an instance of 'PBD::unknown_enumeration'
  what(): unknown enumerator Samples in PBD::EnumWriter

Thread 1 "ardour-5.12.0" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51 ../sysdeps/unix/sysv/linux/raise.c: Datei oder Verzeichnis nicht gefunden.
(gdb)

(gdb) bt
#0 0x00007fffeee68e97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1 0x00007fffeee6a801 in __GI_abort () at abort.c:79
#2 0x00007fffef85d8b7 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#3 0x00007fffef863a06 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4 0x00007fffef863a41 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5 0x00007fffef863c74 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#6 0x00007ffff43f2526 in PBD::EnumWriter::read_distinct(PBD::EnumWriter::EnumRegistration&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x555556f57b30, er=..., str="Samples") at ../libs/pbd/enumwriter.cc:335
#7 0x00007ffff43f16ae in PBD::EnumWriter::read(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x555556f57b30, type="N10AudioClock4ModeE", value="Samples") at ../libs/pbd/enumwriter.cc:154
#8 0x0000555555bf7de2 in PBD::string_to<AudioClock::Mode>(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, AudioClock::Mode&) (str="Samples", val=@0x55555884b368: AudioClock::Frames) at ../gtk2_ardour/enums_convert.h:32
#9 0x0000555555bf8f49 in XMLNode::get_property<AudioClock::Mode>(char const*, AudioClock::Mode&) const (this=0x555557760740, name=0x55555670200c "clock-mode", value=@0x55555884b368: AudioClock::Frames) at /home/hcw/git/ardour/libs/pbd/pbd/xml++.h:175
#10 0x000055555603f000 in LocationUI::set_state(XMLNode const&) (this=0x555558845c20, node=...) at ../gtk2_ardour/location_ui.cc:1165
#11 0x0000555555ddec9a in EditorLocations::set_state(XMLNode const&) (this=0x555557b6e9a0, node=...) at ../gtk2_ardour/editor_locations.cc:58
#12 0x0000555555cd4cfe in Editor::set_state(XMLNode const&, int) (this=0x555558701660, node=..., version=3002) at ../gtk2_ardour/editor.cc:2476
#13 0x0000555555cc88ee in Editor::set_session(ARDOUR::Session*) (this=0x555558701660, t=0x5555576df760) at ../gtk2_ardour/editor.cc:1370
#14 0x0000555555bab5cc in ARDOUR_UI::connect_dependents_to_session(ARDOUR::Session*) (this=0x5555571ee750, s=0x5555576df760)
    at ../gtk2_ardour/ardour_ui_dependents.cc:119
#15 0x0000555555bb2361 in ARDOUR_UI::set_session(ARDOUR::Session*) (this=0x5555571ee750, s=0x5555576df760) at ../gtk2_ardour/ardour_ui_dialogs.cc:187
#16 0x0000555555b3869d in ARDOUR_UI::load_session(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x5555571ee750, path="/home/hcw/Audio/Softwerkbank-48-001", snap_name="Softwerkbank-48-001", mix_template="") at ../gtk2_ardour/ardour_ui.cc:3745
#17 0x0000555555b37ac4 in ARDOUR_UI::get_session_parameters(bool, bool, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) (this=0x5555571ee750, quit_on_cancel=false, should_be_new=false, load_template="") at ../gtk2_ardour/ardour_ui.cc:3560
#18 0x0000555555b2bc28 in ARDOUR_UI::starting() (this=0x5555571ee750) at ../gtk2_ardour/ardour_ui.cc:1273
#19 0x00007ffff47ad9f3 in Gtkmm2ext::UI::run(Receiver&) (this=0x5555571ee750, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:279
#20 0x00005555560bdacf in main(int, char**) (argc=1, argv=0x7fffffffcf38) at ../gtk2_ardour/main.cc:426
(0020502)
hcw70 (reporter)
2018-12-03 02:56

Digged into a similair crash:

#4 0x00007fffef863a41 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
(gdb)
#5 0x00007fffef863c74 in __cxa_throw () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
(gdb)
#6 0x00007ffff43f2526 in PBD::EnumWriter::read_distinct (this=0x555556f51f30, er=..., str="Samples") at ../libs/pbd/enumwriter.cc:335
335 throw unknown_enumeration(str);
(gdb) p str
$1 = "Samples"
(gdb) pr er
Ambiguous command "pr er": print, print-object, printf.
(gdb) p er
$2 = (PBD::EnumWriter::EnumRegistration &) @0x5555573585a0: {
  values = std::vector of length 4, capacity 4 = {0, 1, 2, 3},
  names = std::vector of length 4, capacity 4 = {"Timecode", "BBT", "MinSec", "Frames"},
  bitwise = false
}
(gdb)


So "Samples" is not in enum. Consists of Timecode", "BBT", "MinSec", "Frames", so it asserts.
(0020503)
hcw70 (reporter)
2018-12-03 02:58

Also occurs with new projects.
(0020504)
hcw70 (reporter)
2018-12-03 03:03

hcw@nvidion:~/git/ardour$ grep -ri clock-mode ~/.config/ardour5/
/home/hcw/.config/ardour5/instant.xml: <EditorLocations clock-mode="Samples"/>

Removed that, but still asserts.
(0020505)
hcw70 (reporter)
2018-12-03 03:08

Found another one in project:
hcw@nvidion:~/git/ardour$ grep -ri Samples ~/Audio/Softwerkbank-48-001/
/home/hcw/Audio/Softwerkbank-48-001/instant.xml: <EditorLocations clock-mode="Samples"/>

Now it starts up.


Generally speaking i think error handling in ardour must be MUCH MUCH better, since a program i wanted to use which crashes without a clear statement what went wrong would be not accepted by any user.

And normally a user would not call gdb to analyze the issue... 8->

I only did because i really want(!) to use ardour (because i used it already and found it great!).
(0020506)
hcw70 (reporter)
2018-12-03 03:24

Another one:

(ardour-5.12.0:7570): GLib-GObject-CRITICAL **: 12:22:34.510: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(ardour-5.12.0:7570): GLib-GObject-CRITICAL **: 12:22:49.378: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
pure virtual method called
terminate called without an active exception

Thread 1 "ardour-5.12.0" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
51 ../sysdeps/unix/sysv/linux/raise.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt
#0 0x00007fffeee68e97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1 0x00007fffeee6a801 in __GI_abort () at abort.c:79
#2 0x00007fffef85d8b7 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#3 0x00007fffef863a06 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4 0x00007fffef863a41 in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5 0x00007fffef86480f in () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#6 0x000055555630900b in PortMatrix::setup_global_ports() (this=0x55555ae81c78) at ../gtk2_ardour/port_matrix.cc:626
#7 0x000055555630fff6 in sigc::bound_mem_functor0<void, PortMatrix>::operator()() const (this=0x555557b00208) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1991
#8 0x000055555630f084 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, PortMatrix> >::operator()() const (this=0x555557b00200)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#9 0x000055555630f5c8 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, PortMatrix>, void>::call_it(sigc::internal::slot_rep*) (rep=0x555557b001d0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:114
#10 0x00007ffff3c71da0 in () at /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
#11 0x00007ffff36fd1f5 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffff36fd5c0 in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007ffff36fd8d2 in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#14 0x00007ffff2f98a37 in gtk_main () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#15 0x00007ffff47af8fe in Gtkmm2ext::UI::handle_fatal(char const*) (this=0x5555571e66a0, message=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed")
    at ../libs/gtkmm2ext/gtk_ui.cc:680
#16 0x00007ffff47aef1e in Gtkmm2ext::UI::process_error_message(Transmitter::Channel, char const*) (this=0x5555571e66a0, chn=Transmitter::Fatal, str=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at ../libs/gtkmm2ext/gtk_ui.cc:596
#17 0x00007ffff47aeb25 in Gtkmm2ext::UI::receive(Transmitter::Channel, char const*) (this=0x5555571e66a0, chn=Transmitter::Fatal, str=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at ../libs/gtkmm2ext/gtk_ui.cc:536
#18 0x00007ffff47b0bd6 in Gtkmm2ext::UI::MyReceiver::receive(Transmitter::Channel, char const*) (this=0x5555571e67b0, chn=Transmitter::Fatal, msg=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at ../libs/gtkmm2ext/gtkmm2ext/gtk_ui.h:108
#19 0x00007ffff4416d93 in boost::_mfi::mf2<void, Receiver, Transmitter::Channel, char const*>::operator()(Receiver*, Transmitter::Channel, char const*) const (this=0x555559140ae8, p=0x5555571e67b0, a1=Transmitter::Fatal, a2=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at /usr/include/boost/bind/mem_fn_template.hpp:280
#20 0x00007ffff44166bb in boost::_bi::list3<boost::_bi::value<Receiver*>, boost::arg<1>, boost::arg<2> >::operator()<boost::_mfi::mf2<void, Receiver, Transmitter::Channel, char const*>, boost::_bi::rrlist2<Transmitter::Channel, char const*> >(boost::_bi::type<void>, boost::_mfi::mf2<void, Receiver, Transmitter::Channel, char const*>&, boost::_bi::rrlist2<Transmitter::Channel, char const*>&, int) (this=0x555559140af8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:398
#21 0x00007ffff4415e81 in boost::_bi::bind_t<void, boost::_mfi::mf2<void, Receiver, Transmitter::Channel, char const*>, boost::_bi::list3<boost::_bi::value<Receiver*>, boost::arg<1>, boost::arg<2> > >::operator()<Transmitter::Channel, char const*>(Transmitter::Channel&&, char const*&&) (this=0x555559140ae8, a1=@0x7fffffff8b54: Transmitter::Fatal, a2=@0x7fffffff8b48: 0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at /usr/include/boost/bind/bind.hpp:1318
---Type <return> to continue, or q <return> to quit---
#22 0x00007ffff4415a46 in boost::detail::function::void_function_obj_invoker2<boost::_bi::bind_t<void, boost::_mfi::mf2<void, Receiver, Transmitter::Channel, char const*>, boost::_bi::list3<boost::_bi::value<Receiver*>, boost::arg<1>, boost::arg<2> > >, void, Transmitter::Channel, char const*>::invoke(boost::detail::function::function_buffer&, Transmitter::Channel, char const*) (function_obj_ptr=..., a0=Transmitter::Fatal, a1=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed")
    at /usr/include/boost/function/function_template.hpp:159
#23 0x00007ffff44320e2 in boost::function2<void, Transmitter::Channel, char const*>::operator()(Transmitter::Channel, char const*) const (this=0x555559140ae0, a0=Transmitter::Fatal, a1=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at /usr/include/boost/function/function_template.hpp:759
#24 0x00007ffff4431e38 in PBD::Signal2<void, Transmitter::Channel, char const*, PBD::OptionalLastValue<void> >::operator()(Transmitter::Channel, char const*) (this=0x555556edd208 <PBD::fatal+360>, a1=Transmitter::Fatal, a2=0x55555a96fd40 "g_log: os_bar_hide: assertion 'OS_IS_BAR (bar)' failed") at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:1080
#25 0x00007ffff4431995 in Transmitter::deliver() (this=0x555556edd0a0 <PBD::fatal>) at ../libs/pbd/transmitter.cc:73
#26 0x0000555555af0fd0 in endmsg(std::ostream&) (ostr=...) at /home/hcw/git/ardour/libs/pbd/pbd/transmitter.h:92
#27 0x00005555560bcb2e in ardour_g_log(gchar const*, GLogLevelFlags, gchar const*, gpointer) (log_domain=0x0, log_level=G_LOG_LEVEL_CRITICAL, message=0x55555afaa370 "os_bar_hide: assertion 'OS_IS_BAR (bar)' failed", user_data=0x0) at ../gtk2_ardour/main.cc:120
#28 0x00007ffff370413d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007ffff37042af in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007fffcc5cbcd8 in () at /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#31 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#32 0x00007ffff39e9de8 in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#33 0x00007ffff39f2715 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#34 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#35 0x00007ffff30b58aa in gtk_widget_unrealize () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#36 0x00007ffff30b5bed in gtk_widget_unparent () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#37 0x00007ffff3021d71 in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#38 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#39 0x00007ffff39ea12e in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#40 0x00007ffff39f2715 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#41 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#42 0x00007ffff30b6db5 in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#43 0x00007ffff39dd7e8 in g_object_run_dispose () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#44 0x00007ffff1c40d81 in Gtk::VScrollbar::~VScrollbar() () at /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1
#45 0x000055555630455b in PortMatrix::~PortMatrix() (this=0x55555ae81c78, __vtt_parm=0x555556d9cba0 <VTT for IOSelector+8>, __in_chrg=<optimized out>)
    at ../gtk2_ardour/port_matrix.cc:109
#46 0x0000555556010699 in IOSelector::~IOSelector() (this=0x55555ae81c78, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ../gtk2_ardour/io_selector.h:26
#47 0x000055555601054a in IOSelectorWindow::~IOSelectorWindow() (this=0x55555ae81c00, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ../gtk2_ardour/io_selector.h:70
---Type <return> to continue, or q <return> to quit---
#48 0x00005555560105d2 in IOSelectorWindow::~IOSelectorWindow() (this=0x55555ae81c00, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ../gtk2_ardour/io_selector.h:70
#49 0x00005555564993e4 in RouteUI::set_route(boost::shared_ptr<ARDOUR::Route>) (this=0x55555a7469c8, rp=...) at ../gtk2_ardour/route_ui.cc:314
#50 0x0000555556163bc9 in MixerStrip::set_route(boost::shared_ptr<ARDOUR::Route>) (this=0x55555a746940, rt=...) at ../gtk2_ardour/mixer_strip.cc:542
#51 0x0000555555df1772 in Editor::set_selected_mixer_strip(TimeAxisView&) (this=0x555557c39000, view=...) at ../gtk2_ardour/editor_mixer.cc:247
#52 0x0000555555e9944b in Editor::presentation_info_changed(PBD::PropertyChange const&) (this=0x555557c39000, what_changed=...) at ../gtk2_ardour/editor_selection.cc:1039
#53 0x0000555555d2b17b in boost::_mfi::mf1<void, Editor, PBD::PropertyChange const&>::operator()(Editor*, PBD::PropertyChange const&) const (this=0x55555afa95e8, p=0x555557c39000, a1=...) at /usr/include/boost/bind/mem_fn_template.hpp:165
#54 0x0000555555d233f6 in boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, Editor, PBD::PropertyChange const&>, boost::_bi::rrlist1<PBD::PropertyChange const&> >(boost::_bi::type<void>, boost::_mfi::mf1<void, Editor, PBD::PropertyChange const&>&, boost::_bi::rrlist1<PBD::PropertyChange const&>&, int) (this=0x55555afa95f8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:319
#55 0x0000555555d18ca5 in boost::_bi::bind_t<void, boost::_mfi::mf1<void, Editor, PBD::PropertyChange const&>, boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> > >::operator()<PBD::PropertyChange const&>(PBD::PropertyChange const&) (this=0x55555afa95e8, a1=...) at /usr/include/boost/bind/bind.hpp:1306
#56 0x0000555555d0ec7c in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, Editor, PBD::PropertyChange const&>, boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> > >, void, PBD::PropertyChange const&>::invoke(boost::detail::function::function_buffer&, PBD::PropertyChange const&) (function_obj_ptr=..., a0=...)
    at /usr/include/boost/function/function_template.hpp:159
#57 0x0000555555bf98ec in boost::function1<void, PBD::PropertyChange const&>::operator()(PBD::PropertyChange const&) const (this=0x55555afa95e0, a0=...)
    at /usr/include/boost/function/function_template.hpp:759
#58 0x0000555555c00a3e in boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> >::operator()<boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list0>(boost::_bi::type<void>, boost::function<void (PBD::PropertyChange const&)>&, boost::_bi::list0&, int) (this=0x55555afa9600, f=..., a=...) at /usr/include/boost/bind/bind.hpp:259
#59 0x0000555555bfffe8 in boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> > >::operator()() (this=0x55555afa95e0) at /usr/include/boost/bind/bind.hpp:1294
#60 0x0000555555bff3ea in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (PBD::PropertyChange const&)>, boost::_bi::list1<boost::_bi::value<PBD::PropertyChange> > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...)
    at /usr/include/boost/function/function_template.hpp:159
#61 0x0000555555b1d133 in boost::function0<void>::operator()() const (this=0x7fffffffa7a0) at /usr/include/boost/function/function_template.hpp:759
#62 0x00007ffff47b1739 in AbstractUI<Gtkmm2ext::UIRequest>::call_slot(PBD::EventLoop::InvalidationRecord*, boost::function<void ()> const&) (this=0x5555571e66a0, invalidation=0x0, f=...) at /home/hcw/git/ardour/libs/pbd/pbd/abstract_ui.cc:429
#63 0x0000555555bfa0ba in PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&) (f=..., event_loop=0x5555571e66a0, ir=0x0, a1=...) at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:595
#64 0x0000555555c00396 in boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> >::operator()<void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::rrlist1<PBD::PropertyChange const&> >(boost::_bi::type<void>, void (*&)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::rrlist1<PBD::PropertyChange const&>&, int) (this=0x55555afa98c8, f=
---Type <return> to continue, or q <return> to quit---
    @0x55555afa98c0: 0x555555bf9feb <PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&)>, a=...) at /usr/include/boost/bind/bind.hpp:463
#65 0x0000555555bff5f3 in boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >::operator()<PBD::PropertyChange const&>(PBD::PropertyChange const&) (this=0x55555afa98c0, a1=...) at /usr/include/boost/bind/bind.hpp:1306
#66 0x0000555555bfe568 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, void (*)(boost::function<void (PBD::PropertyChange const&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, PBD::PropertyChange const&), boost::_bi::list4<boost::_bi::value<boost::function<void (PBD::PropertyChange const&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >, void, PBD::PropertyChange const&>::invoke(boost::detail::function::function_buffer&, PBD::PropertyChange const&) (function_obj_ptr=..., a0=...) at /usr/include/boost/function/function_template.hpp:159
#67 0x0000555555bf98ec in boost::function1<void, PBD::PropertyChange const&>::operator()(PBD::PropertyChange const&) const (this=0x55555afa97f0, a0=...)
    at /usr/include/boost/function/function_template.hpp:759
#68 0x0000555555fea885 in PBD::Signal1<void, PBD::PropertyChange const&, PBD::OptionalLastValue<void> >::operator()(PBD::PropertyChange const&) (this=0x555556edb340 <ARDOUR::PresentationInfo::Change>, a1=...) at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:704
#69 0x00007ffff6d0e575 in ARDOUR::PresentationInfo::unsuspend_change_signal() () at ../libs/ardour/presentation_info.cc:89
#70 0x0000555555cefa73 in ARDOUR::PresentationInfo::ChangeSuspender::~ChangeSuspender() (this=0x7fffffffaaed, __in_chrg=<optimized out>)
    at /home/hcw/git/ardour/libs/ardour/ardour/presentation_info.h:249
#71 0x00005555564cfd4c in Selection::set(TrackViewList const&) (this=0x55555893edb0, track_list=...) at ../gtk2_ardour/selection.cc:1565
#72 0x0000555555cea729 in Editor::add_stripables(std::__cxx11::list<boost::shared_ptr<ARDOUR::Stripable>, std::allocator<boost::shared_ptr<ARDOUR::Stripable> > >&) (this=0x555557c39000, sl=std::__cxx11::list = {...}) at ../gtk2_ardour/editor.cc:5420
#73 0x0000555555ce9f7a in Editor::add_routes(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (this=0x555557c39000, rlist=std::__cxx11::list = {...}) at ../gtk2_ardour/editor.cc:5358
#74 0x0000555555d2f04d in boost::_mfi::mf1<void, Editor, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>::operator()(Editor*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) const (this=0x55555af112a8, p=0x555557c39000, a1=std::__cxx11::list = {...})
    at /usr/include/boost/bind/mem_fn_template.hpp:165
#75 0x0000555555d28226 in boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, Editor, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>, boost::_bi::rrlist1<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&> >(boost::_bi::type<void>, boost::_mfi::mf1<void, Editor, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>&, boost::_bi::rrlist1<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>&, int) (this=0x55555af112b8, f=..., a=...) at /usr/include/boost/bind/bind.hpp:319
#76 0x0000555555d1e22f in boost::_bi::bind_t<void, boost::_mfi::mf1<void, Editor, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>, boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> > >::operator()<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (this=0x55555af112a8, a1=std::__cxx11::list = {...})
    at /usr/include/boost/bind/bind.hpp:1306
#77 0x0000555555d12d26 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, boost::_mfi::mf1<void, Editor, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>,---Type <return> to continue, or q <return> to quit---
 std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>, boost::_bi::list2<boost::_bi::value<Editor*>, boost::arg<1> > >, void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>::invoke(boost::detail::function::function_buffer&, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (function_obj_ptr=..., a0=std::__cxx11::list = {...}) at /usr/include/boost/function/function_template.hpp:159
#78 0x0000555555d366e2 in boost::function1<void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>::operator()(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) const (this=0x55555af112a0, a0=std::__cxx11::list = {...})
    at /usr/include/boost/function/function_template.hpp:759
#79 0x0000555555d3400e in boost::_bi::list1<boost::_bi::value<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > > > >::operator()<boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, boost::_bi::list0>(boost::_bi::type<void>, boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>&, boost::_bi::list0&, int) (this=0x55555af112c0, f=..., a=...)
    at /usr/include/boost/bind/bind.hpp:259
#80 0x0000555555d2f29a in boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, boost::_bi::list1<boost::_bi::value<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > > > > >::operator()() (this=0x55555af112a0) at /usr/include/boost/bind/bind.hpp:1294
#81 0x0000555555d288d7 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<boost::_bi::unspecified, boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, boost::_bi::list1<boost::_bi::value<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > > > > >, void>::invoke(boost::detail::function::function_buffer&) (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:159
#82 0x0000555555b1d133 in boost::function0<void>::operator()() const (this=0x7fffffffb0e0) at /usr/include/boost/function/function_template.hpp:759
#83 0x00007ffff47b1739 in AbstractUI<Gtkmm2ext::UIRequest>::call_slot(PBD::EventLoop::InvalidationRecord*, boost::function<void ()> const&) (this=0x5555571e66a0, invalidation=0x5555586823e0, f=...) at /home/hcw/git/ardour/libs/pbd/pbd/abstract_ui.cc:429
#84 0x0000555555cfe8dc in PBD::Signal1<void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (f=..., event_loop=0x5555571e66a0, ir=0x5555586823e0, a1=std::__cxx11::list = {...}) at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:595
#85 0x0000555555d2f630 in boost::_bi::list4<boost::_bi::value<boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> >::operator()<void (*)(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&), boost::_bi::rrlist1<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&> >(boost::_bi::type<void>, void (*&)(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&), boost::_bi::rrlist1<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>&, int) (this=0x55555a573d28, f=
    @0x55555a573d20: 0x555555cfe813 <PBD::Signal1<void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&, PBD::OptionalLastValue<void> >::compositor(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, a=...) at /usr/include/boost/bind/bind.hpp:463
---Type <return> to continue, or q <return> to quit---
#86 0x0000555555d28acb in boost::_bi::bind_t<void, void (*)(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&), boost::_bi::list4<boost::_bi::value<boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >::operator()<std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (this=0x55555a573d20, a1=std::__cxx11::list = {...})
    at /usr/include/boost/bind/bind.hpp:1306
#87 0x0000555555d1ebb4 in boost::detail::function::void_function_obj_invoker1<boost::_bi::bind_t<void, void (*)(boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)>, PBD::EventLoop*, PBD::EventLoop::InvalidationRecord*, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&), boost::_bi::list4<boost::_bi::value<boost::function<void (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&)> >, boost::_bi::value<PBD::EventLoop*>, boost::_bi::value<PBD::EventLoop::InvalidationRecord*>, boost::arg<1> > >, void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>::invoke(boost::detail::function::function_buffer&, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (function_obj_ptr=..., a0=std::__cxx11::list = {...}) at /usr/include/boost/function/function_template.hpp:159
#88 0x0000555555d366e2 in boost::function1<void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&>::operator()(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) const (this=0x55555af43e60, a0=std::__cxx11::list = {...})
    at /usr/include/boost/function/function_template.hpp:759
#89 0x00007ffff6de5401 in PBD::Signal1<void, std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&, PBD::OptionalLastValue<void> >::operator()(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&) (this=0x55555770f140, a1=std::__cxx11::list = {...})
    at /home/hcw/git/ardour/build/libs/pbd/pbd/signals_generated.h:704
#90 0x00007ffff6dc6a57 in ARDOUR::Session::add_routes(std::__cxx11::list<boost::shared_ptr<ARDOUR::Route>, std::allocator<boost::shared_ptr<ARDOUR::Route> > >&, bool, bool, bool, unsigned int) (this=0x55555770eb40, new_routes=std::__cxx11::list = {...}, input_auto_connect=false, output_auto_connect=true, save=true, order=4294967295) at ../libs/ardour/session.cc:3592
#91 0x00007ffff6dc4a04 in ARDOUR::Session::new_audio_route(int, int, ARDOUR::RouteGroup*, unsigned int, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, ARDOUR::PresentationInfo::Flag, unsigned int) (this=0x55555770eb40, input_channels=1, output_channels=2, route_group=
    0x55555a333000, how_many=0, name_template="Pulse-out", flags=ARDOUR::PresentationInfo::AudioBus, order=4294967295) at ../libs/ardour/session.cc:3369
#92 0x0000555555b30d49 in ARDOUR_UI::session_add_audio_route(bool, int, int, ARDOUR::TrackMode, ARDOUR::RouteGroup*, unsigned int, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, bool, unsigned int) (this=0x5555571e66a0, track=false, input_channels=1, output_channels=2, mode=ARDOUR::Normal, route_group=0x55555a333000, how_many=1, name_template="Pulse-out", strict_io=true, order=4294967295) at ../gtk2_ardour/ardour_ui.cc:2135
#93 0x0000555555b3da42 in ARDOUR_UI::add_route_dialog_response(int) (this=0x5555571e66a0, r=1) at ../gtk2_ardour/ardour_ui.cc:4514
#94 0x0000555555b8d26e in sigc::bound_mem_functor1<void, ARDOUR_UI, int>::operator()(int const&) const (this=0x55555a31db08, _A_a1=@0x7fffffffb81c: 1)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2066
#95 0x0000555555b82715 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, ARDOUR_UI, int> >::operator()<int const&>(int const&) const (this=0x55555a31db00, _A_arg1=@0x7fffffffb81c: 1) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#96 0x0000555555b762d1 in sigc::internal::slot_call1<sigc::bound_mem_functor1<void, ARDOUR_UI, int>, void, int>::call_it(sigc::internal::slot_rep*, int const&) (rep=0x55555a31dad0, a_1=@0x7fffffffb81c: 1) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:148
---Type <return> to continue, or q <return> to quit---
#97 0x00007ffff1bfa387 in () at /usr/lib/x86_64-linux-gnu/libgtkmm-2.4.so.1
#98 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#99 0x00007ffff39e9bf1 in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#100 0x00007ffff39f2715 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#101 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#102 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#103 0x00007ffff39ea05e in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#104 0x00007ffff39f2715 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#105 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#106 0x00007ffff2ef66f5 in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#107 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#108 0x00007ffff39ea12e in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#109 0x00007ffff39f2715 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#110 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#111 0x00007ffff2ef5679 in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#112 0x00007ffff2f9b38b in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#113 0x00007ffff39d710d in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#114 0x00007ffff39e9de8 in () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#115 0x00007ffff39f20af in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#116 0x00007ffff39f312f in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#117 0x00007ffff30b12bc in () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#118 0x00007ffff2f9962c in gtk_propagate_event () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#119 0x00007ffff2f99a2b in gtk_main_do_event () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#120 0x00007ffff2c0f02c in () at /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#121 0x00007ffff36fd387 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#122 0x00007ffff36fd5c0 in () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#123 0x00007ffff36fd8d2 in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#124 0x00007ffff2f98a37 in gtk_main () at /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#125 0x00007ffff47ada0f in Gtkmm2ext::UI::run(Receiver&) (this=0x5555571e66a0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:284
#126 0x00005555560bdacf in main(int, char**) (argc=1, argv=0x7fffffffcf48) at ../gtk2_ardour/main.cc:426
(gdb)
(0020515)
hcw70 (reporter)
2018-12-06 00:57

Hmm. Strangely the ubuntu-18.04 compiled ardour seems to be much more stable than my self-compiled from git.

Since the original issue i had with startup is solved due to removal of duplicated plugins, IMHO this issue can be solved.
(0020518)
x42 (administrator)
2018-12-06 11:23

Ardour-git is not stable at this point in time.

Also the enum in your config file indicates that at some point you have used an untagged ardour-git version without running ./waf configure (to bump the config version).

Please stay with Ardour 5.12 for the time being. Ideally a binary from http://ardour.org/download [^] The Ubuntu version is likewise known to have issues.
(0020519)
x42 (administrator)
2018-12-06 11:29

PS. The version from ardour.org would not have been affected by this issue in the first place.

liblilv that comes with ardour binaries does not allow dynamic-manifests. naspro is the only user of that experimental feature which is disabled by default. Also note that naspro has been unmaintained for years.

- Issue History
Date Modified Username Field Change
2018-11-30 08:00 hcw70 New Issue
2018-11-30 08:02 hcw70 Note Added: 0020496
2018-11-30 08:03 hcw70 Note Added: 0020497
2018-11-30 08:24 x42 Note Added: 0020498
2018-11-30 08:27 x42 Note Added: 0020499
2018-12-03 01:17 hcw70 Note Added: 0020501
2018-12-03 02:56 hcw70 Note Added: 0020502
2018-12-03 02:58 hcw70 Note Added: 0020503
2018-12-03 03:03 hcw70 Note Added: 0020504
2018-12-03 03:08 hcw70 Note Added: 0020505
2018-12-03 03:24 hcw70 Note Added: 0020506
2018-12-03 04:31 Markus34 File Added: 512.pdf
2018-12-06 00:57 hcw70 Note Added: 0020515
2018-12-06 00:57 hcw70 Status new => resolved
2018-12-06 00:57 hcw70 Resolution open => fixed
2018-12-06 00:57 hcw70 Assigned To => hcw70
2018-12-06 00:57 hcw70 Status resolved => closed
2018-12-06 11:23 x42 Note Added: 0020518
2018-12-06 11:29 x42 Note Added: 0020519


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker